package com.gic.auth.web.vo;

import com.gic.auth.dto.ChannelResourceDTO;
import com.gic.auth.dto.SmsSignResourceDTO;

import java.io.Serializable;
import java.util.List;

/**
 *
 * @Description:
 * @author zhiwj
 * @date 2019-09-24 17:41
 */
public class ResourceVO implements Serializable{
    private static final long serialVersionUID = 7757529718726436352L;
    /**
     *
     */
    private Integer resourceId;

    /**
     * 资源名称
     */
    private String resourceName;

    /**
     *
     */
    private Integer enterpriseId;

    private Long userResource;
    /**
     * 会员卡资源控件id
     */
    private Long memberCardResource;

    /**
     * 服务号资源
     */
    private Long fwhResource;

    /**
     * 小程序资源
     */
    private Long appletResource;

    /**
     * 门店资源
     */
    private Long storeResource;

    /**
     * 订单资源
     */
    private List<OrderResourceVO> orderResourceJSON;

    private List<List> appResourceJSON;

    private SmsSignResourceDTO smsResourceJSON;
    private Integer userResourceCount;
    private StoreResouceVO storeResouce;
    private GoodsResouceVO goodsResouce;

    private ChannelResourceDTO channelResourceJSON;

    public Integer getResourceId() {
        return resourceId;
    }

    public void setResourceId(Integer resourceId) {
        this.resourceId = resourceId;
    }

    public String getResourceName() {
        return resourceName;
    }

    public void setResourceName(String resourceName) {
        this.resourceName = resourceName;
    }

    public Integer getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(Integer enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public Long getMemberCardResource() {
        return memberCardResource;
    }

    public void setMemberCardResource(Long memberCardResource) {
        this.memberCardResource = memberCardResource;
    }

    public Long getFwhResource() {
        return fwhResource;
    }

    public void setFwhResource(Long fwhResource) {
        this.fwhResource = fwhResource;
    }

    public Long getAppletResource() {
        return appletResource;
    }

    public void setAppletResource(Long appletResource) {
        this.appletResource = appletResource;
    }

    public Long getStoreResource() {
        return storeResource;
    }

    public void setStoreResource(Long storeResource) {
        this.storeResource = storeResource;
    }

    public List<OrderResourceVO> getOrderResourceJSON() {
        return orderResourceJSON;
    }

    public void setOrderResourceJSON(List<OrderResourceVO> orderResourceJSON) {
        this.orderResourceJSON = orderResourceJSON;
    }

    public List<List> getAppResourceJSON() {
        return appResourceJSON;
    }

    public void setAppResourceJSON(List<List> appResourceJSON) {
        this.appResourceJSON = appResourceJSON;
    }

    public Integer getUserResourceCount() {
        return userResourceCount;
    }

    public void setUserResourceCount(Integer userResourceCount) {
        this.userResourceCount = userResourceCount;
    }

    public StoreResouceVO getStoreResouce() {
        return storeResouce;
    }

    public void setStoreResouce(StoreResouceVO storeResouce) {
        this.storeResouce = storeResouce;
    }

    public GoodsResouceVO getGoodsResouce() {
        return goodsResouce;
    }

    public void setGoodsResouce(GoodsResouceVO goodsResouce) {
        this.goodsResouce = goodsResouce;
    }

    public SmsSignResourceDTO getSmsResourceJSON() {
        return smsResourceJSON;
    }

    public void setSmsResourceJSON(SmsSignResourceDTO smsResourceJSON) {
        this.smsResourceJSON = smsResourceJSON;
    }

    public void setChannelResourceJSON(ChannelResourceDTO channelResourceJSON) {
        this.channelResourceJSON = channelResourceJSON;
    }

    public ChannelResourceDTO getChannelResourceJSON() {
        return channelResourceJSON;
    }

    public Long getUserResource() {
        return userResource;
    }

    public void setUserResource(Long userResource) {
        this.userResource = userResource;
    }
}
